org.eclipse.emf.cdo.spi.common

## Class AbstractQueryResult<T>

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.AbstractQueryResult<T>

- All Implemented Interfaces:
    Iterator<T>, BlockingCloseableIterator<T>, Closeable, CloseableIterator<T>
  Direct Known Subclasses:
    AbstractQueryIterator

      public class AbstractQueryResult<T>
      extends Object
      implements BlockingCloseableIterator<T>

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Simon McDuff

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractQueryResult(CDOCommonView view, CDOQueryInfo queryInfo, int queryID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getQueryID()`
    `CDOQueryInfo` | `getQueryInfo()`
    `CDOQueryQueue<Object>` | `getQueue()`
    `CDOCommonView` | `getView()`
    `boolean` | `hasNext()`
    `boolean` | `isClosed()`
    `T` | `next()`
    `T` | `peek()` Non-blocking call.
    `void` | `remove()`
    `void` | `setQueryID(int queryID)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### AbstractQueryResult

          public AbstractQueryResult(CDOCommonView view,
                                     CDOQueryInfo queryInfo,
                                     int queryID)

      Since:
        3.0

  - ### Method Detail

    - #### getView

          public CDOCommonView getView()

    - #### getQueryInfo

          public CDOQueryInfo getQueryInfo()

      Since:
        3.0

    - #### getQueryID

          public int getQueryID()

    - #### getQueue

          public CDOQueryQueue<Object> getQueue()

    - #### setQueryID

          public void setQueryID(int queryID)

    - #### peek

          public T peek()

      Description copied from interface: `BlockingCloseableIterator`
      Non-blocking call.
      Specified by:
        `peek` in interface `BlockingCloseableIterator<T>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `Iterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<T>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`

    - #### isClosed

          public boolean isClosed()

      Specified by:
        `isClosed` in interface `Closeable`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html